'use strict';
const meta = require('./config/.declare.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose-free/lib/controller');

// 高企申报
class DeclareController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.cysci.declare;
  }
  async index() {
    const data = await this.service.query(this.ctx.query);
    this.ctx.ok(data);
  }
}
module.exports = CrudController(DeclareController, meta);
