'use strict';
const meta = require('./config/.dockTranscation.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose-free/lib/controller');

// 展会合同
class DockTranscationController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.dock.dockTranscation;
  }
  async getUserList() {
    const data = await this.service.getUserList(this.ctx.query);
    this.ctx.ok(data);
  }
}
module.exports = CrudController(DockTranscationController, meta);
