'use strict';
const meta = require('./config/.product.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose-free/lib/controller');

// 产品
class ProductController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.news.product;
  }
  async index() {
    const { data, total } = await this.service.query(this.ctx.query);
    this.ctx.ok({ data, total });
  }
}
module.exports = CrudController(ProductController, meta);
