'use strict';
const meta = require('./config/.expert.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose-free/lib/controller');

// 专家
class ExpertController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.user.expert;
  }
  async index() {
    const { data, total } = await this.service.query(this.ctx.query);
    this.ctx.ok({ data, total });
  }
}
module.exports = CrudController(ExpertController, meta);
