'use strict';
const { CrudService } = require('naf-framework-mongoose-free/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;
const { ObjectId } = require('mongoose').Types;
const _ = require('lodash');
const assert = require('assert');

// 科技频道-视频表
class ChannelVideoService extends CrudService {
  constructor(ctx) {
    super(ctx, 'channel_video');
    this.model = this.ctx.model.Channel.ChannelVideo;
  }
}

module.exports = ChannelVideoService;
