'use strict';
const { CrudService } = require('naf-framework-mongoose-free/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;
const { ObjectId } = require('mongoose').Types;
const _ = require('lodash');
const assert = require('assert');

// 科技新闻
class ScienceService extends CrudService {
  constructor(ctx) {
    super(ctx, 'science');
    this.model = this.ctx.model.News.Science;
  }
}

module.exports = ScienceService;
