module.exports = {
  create: {
    requestBody: [
      'name',
      'contacts',
      'phone',
      'qqwx',
      'email',
      'type',
      'status',
      'user_id',
      'field',
      'cooperation',
      'company',
      'condition',
      'image',
      'expect',
      'demand',
      'budget',
      'requirementdesc',
      'present',
      'achievestatus',
      'achieveown',
      'achievesource',
      'intentionprice',
      'patent',
      'roadshow',
      'achievebrief',
      'features',
      'team',
      'messattribute',
      'informationdesc',
      'coreelements',
      'priceinfo',
      'remark',
    ],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: [
      'name',
      'contacts',
      'phone',
      'qqwx',
      'email',
      'type',
      'status',
      'user_id',
      'field',
      'cooperation',
      'company',
      'condition',
      'image',
      'expect',
      'demand',
      'budget',
      'requirementdesc',
      'present',
      'achievestatus',
      'achieveown',
      'achievesource',
      'intentionprice',
      'patent',
      'roadshow',
      'achievebrief',
      'features',
      'team',
      'messattribute',
      'informationdesc',
      'coreelements',
      'priceinfo',
      'remark',
    ],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        name: '%name%',
        role: 'role',
        code: 'code',
        qqwx: 'qqwx',
        type: 'type',
        status: 'status',
        user_id: 'user_id',
        company: 'company',
        'create_time@start': 'create_time@start',
        'create_time@end': 'create_time@end',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
