'use strict';
const { CrudService } = require('naf-framework-mongoose-free/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;
const { ObjectId } = require('mongoose').Types;
const _ = require('lodash');
const assert = require('assert');

// 项目路演
class RoadShowService extends CrudService {
  constructor(ctx) {
    super(ctx, 'road_show');
    this.model = this.ctx.model.News.RoadShow;
  }
}

module.exports = RoadShowService;
