'use strict';
const { CrudService } = require('naf-framework-mongoose-free/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;
const _ = require('lodash');
const assert = require('assert');

// 智库视点
class ViewPointService extends CrudService {
  constructor(ctx) {
    super(ctx, 'view_point');
    this.model = this.ctx.model.News.ViewPoint;
  }
}

module.exports = ViewPointService;
