'use strict';
const { CrudService } = require('naf-framework-mongoose-free/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;
const { ObjectId } = require('mongoose').Types;
const _ = require('lodash');
const assert = require('assert');

// 字典类别
class CategoryService extends CrudService {
  constructor(ctx) {
    super(ctx, 'category');
    this.model = this.ctx.model.System.Category;
  }
}

module.exports = CategoryService;
