'use strict';

module.exports = () => {
  const config = (exports = {});

  config.logger = {
    level: 'INFO',
    consoleLevel: 'INFO',
  };
  config.dbName = 'platform-v1';
  config.mongoose = {
    url: `mongodb://localhost:27017/${config.dbName}`,
    options: {
      user: 'admin',
      pass: 'admin',
      authSource: 'admin',
      useNewUrlParser: true,
      useCreateIndex: true,
    },
  };
  // // redis config
  // config.redis = {
  //   client: {
  //     port: 6379, // Redis port
  //     host: '127.0.0.1', // Redis host
  //     password: 123456,
  //     db: 0,
  //   },
  // };

  config.export = {
    root_path: '/usr/local/workspace/server/service-file/upload',
    export_path: '/usr/local/workspace/server/service-file/upload/export',
    export_dir: 'export',
    patentInfo_dir: 'patentInfo',
    domain: 'http://127.0.0.1',
  };
  config.import = {
    root_path: '/usr/local/workspace/server/service-file/upload',
  };
  return config;
};
